\documentclass[compress]{beamer}
\usepackage{hyperref}
\usepackage{listings}
\setbeamercovered{transparentcovereddynamicmedium}
\setbeamercolor{uc}{fg=white,bg=credativgray}
\setbeamercolor{lc}{fg=black,bg=white}
\setbeamercolor{alerted text}{fg=blue} 
\mode<report>{
  \usepackage{fullpage}
%%  \usepackage{hyperref}
}

\usepackage{hyperref}
\usepackage{url}

\mode<presentation>{
   \usetheme{Warsaw}
   \xdefinecolor{credativred}{RGB}{196,15,19}
%   \xdefinecolor{credativgray}{RGB}{122,122,122}
   \usecolortheme[named=credativred]{structure}
}
\usepackage[latin1]{inputenc}
\usepackage{colortbl}
\usepackage{graphics}

\title{debian.org migration to Ganeti}
\subtitle{A user experience report}
\author[Martin Zobel-Helas and Faidon Liambotis]{Martin Zobel-Helas, zobel@debian.org \and \\ Faidon Liambotis, paravoid@debian.org}
\pgfdeclareimage[width=0.5cm]{cr-logo}{images/credativ-logo}
\pgfdeclareimage[width=0.5cm]{debian-logo}{images/debian-logo}
\logo{\vbox{\hbox to 1cm{\hfil\pgfuseimage{cr-logo}  \hfil\pgfuseimage{debian-logo}}}}
\institute[Debian Project]{}

\begin{document}

\begin{frame}
 \begin{center}
  \huge{SYN}
 \end{center}
\end{frame}


\frame{\titlepage}

\begin{frame}
  \frametitle{About Debian}
  \begin{block}{What is Debian}
    \begin{itemize}
      \item Linux Distribution
      \item Driven by approx. 1300 volunteers
      \item Infrastructure run by Debian System Administration Team
      \begin{itemize}
        \item 186 machines hosted world wide
        \item 70 of them are VMs
      \end{itemize}
    \end{itemize}
  \end{block}
\end{frame}

\begin{frame}
  \frametitle{About us}
  \begin{block}{Who is Martin Zobel-Helas}
    \begin{itemize}
      \item Senior Consultant and Team Leader at \textbf{credativ}
      \item Debian Developer since 2005
      \item Member of the Debian System Administration Team
    \end{itemize}
  \end{block}
  \begin{block}{Who is Faidon Liambotis}
    \begin{itemize}
      \item Operations Engineer at \textbf{Wikimedia Foundation}
      \item Debian Developer since 2006
      \item Member of the Debian System Administration Team
    \end{itemize}
  \end{block}
\end{frame}


\begin{frame}
 \frametitle{Why Debian needs Virtualization}

  \begin{block}{Where we came from}
    \begin{itemize}
      \item Single machines with many services
      \item Later: libvirt config in git
    \end{itemize}
  \end{block}
  \begin{block}{Where we are now}
    \begin{itemize}
      \item One service per Ganeti instance
      \item Easier to maintain
      \item Easier to move serives around
    \end{itemize}
  \end{block}
\end{frame}


\begin{frame}
  \frametitle{Our hardware}

  \begin{block}{Debian's Hardware}
    \begin{itemize}
      \item 12 supported hardware architectures
      \item Hardware located in approx. 60 datacenters
      \item Five datacenters with larger amount of hardware
      \item Distinction between porter and service machines
    \end{itemize} 
  \end{block}
\end{frame}

\begin{frame}
  \frametitle{Our hardware (cont.)}

  \begin{block}{Debian's Hardware we use for Ganeti}
    \begin{itemize}
      \item Hardware used by our Ganeti clusters 
      \begin{itemize}
        \item HP DL380
        \item HP DL580
        \item HP BL460c
        \item HP BL465c
        \item HP BL495c
      \end{itemize} 
      \item Storage backends we use
      \begin{itemize}
        \item MSA60i
        \item MSA2012sa
        \item DRBD with local storage
      \end{itemize} 
    \end{itemize} 
  \end{block}
\end{frame}

\begin{frame}
  \frametitle{Why Ganeti}

  \begin{block}{Reasons why we choose Ganeti}
    \begin{itemize}
      \item Massive amount of documentation
      \item Simple to setup
      \item Packaged, well-supported \& part of Debian stable
      \item Easy migration from dsa-kvm.git
      \item Live Migrations (without config overhead)
      \item Easy integration into Debian's config management
    \end{itemize} 
  \end{block}
\end{frame}

\begin{frame}
  \frametitle{What we run}

  \begin{block}{Ganeti 2.5}
    \begin{itemize}
      \item  Debian Sysadmin Team always tries to run packages from stable. Means we currently run \textbf{Ganeti 2.5}. \\
        \alert{Ganeti 2.7 has been uploaded to debian-backports last week, we might try that.}
      \item Debian runs KVM only for historical reasons
      \item Preferred setup is a shared SAN
      \item On locations without a shared SAN we run DRBD
    \end{itemize}
  \end{block}
\end{frame}

\begin{frame}
  \frametitle{What we miss}

  \begin{block}{What we miss or would like improved}
    \begin{itemize}
      \item Serial console during boot
      \item Integration with SANs (newer versions have that?)
      \item Live migration falls over on large/busy memory VMs, sometimes breaking the VM
      %% \item boot loader configuration and installation
    \end{itemize}
  \end{block}
\end{frame}

\begin{frame}
  \frametitle{What might help us}
 
  \begin{block}{Things that might help us or others}
    \begin{itemize}
      \item Clustering clusters over the the internet \\ (one node to rule them all)
      \item Dynamic Power Management
      \item Deploying Instances Dynamically
    \end{itemize}
  \end{block}
\end{frame}
 
\begin{frame}
  \begin{center}
    \huge{FIN}
  \end{center}
\end{frame}


\end{document}
